# Uses of Interface
org.apache.sysds.runtime.io.DeltaKernelUtils.BatchConsumer

Packages that use DeltaKernelUtils.BatchConsumer
Package
Description
org.apache.sysds.runtime.io

## Uses of DeltaKernelUtils.BatchConsumer in org.apache.sysds.runtime.io

Methods in org.apache.sysds.runtime.io with parameters of type DeltaKernelUtils.BatchConsumer
Modifier and Type
Method
Description
`static void`
DeltaKernelUtils.`readScanFile(io.delta.kernel.engine.Engine engine, io.delta.kernel.data.Row scanState, io.delta.kernel.types.StructType physicalReadSchema, io.delta.kernel.data.Row scanFileRow, DeltaKernelUtils.BatchConsumer consumer)`
Read a single Delta data file (identified by its scan-file row), decoding its parquet batches and applying any deletion vector, invoking the consumer once per (logical) batch.
Method parameters in org.apache.sysds.runtime.io with type arguments of type DeltaKernelUtils.BatchConsumer
Modifier and Type
Method
Description
`static io.delta.kernel.types.StructType`
DeltaKernelUtils.`scan(io.delta.kernel.engine.Engine engine, String tablePath, Function<io.delta.kernel.types.StructType,DeltaKernelUtils.BatchConsumer> consumerFactory)`
Scan the latest snapshot of a Delta table sequentially, invoking the batch consumer for every data batch.